diff --git a/build_sec_compilers.sh b/build_sec_compilers.sh
new file mode 100755
index 0000000000000000000000000000000000000000..12604d3d3b273c84c9473660d25961c013c13cc5
--- /dev/null
+++ b/build_sec_compilers.sh
@@ -0,0 +1,47 @@
+#! /bin/bash
+
+# Make a directory in /tmp/OpenFPM_pdata
+
+echo "Directory: $1"
+echo "Machine: $2"
+
+mkdir src/config
+
+git submodule init
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+
+git submodule update
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+
+mkdir openfpm_numerics/src/config
+
+
+if [ "$2" == "gin" ]
+then
+ echo "Compiling on gin\n"
+ source ~/.bashrc
+ source /opt/intel/composerxe/bin/compilervars.sh intel64
+ module load gcc/5.3.0
+ ./install -s -c "--prefix=/home/jenkins/openfpm_install"
+ if [ $? -ne 0 ]; then
+   curl -X POST --data "payload={\"icon_emoji\": \":jenkins:\", \"username\": \"jenkins\"  , \"attachments\":[{ \"title\":\"Error:\", \"color\": \"#FF0000\", \"text\":\"$2 failed to complete the openfpm_pdata test \" }] }" https://hooks.slack.com/services/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
+   exit 1 ;
+ fi
+
+ source $HOME/openfpm_vars
+
+ if [ $? -ne 0 ]; then
+   curl -X POST --data "payload={\"icon_emoji\": \":jenkins:\", \"username\": \"jenkins\"  , \"attachments\":[{ \"title\":\"Error:\", \"color\": \"#FF0000\", \"text\":\"$2 failed to complete the openfpm_pdata test \" }] }" https://hooks.slack.com/services/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
+   exit 1 ; 
+ fi
+fi
+
+
+
+